Subject: Re: [homegate] "Advanced IPv6 CPE requirements" in scope for homegate?

From: Ole Troan <[email-masked]>
Date: Thu, 1 Apr 2010 18:58:00 +0200

> Do you think routing protocols adapted to Home Network are in the
> scope of the BOF ? I already asked the question during last BOF and
> the answer was not very positive.
> 
> We have modified routing protocols to allow routers autoconfiguration
> (see An evaluation of the NAP protocol for IPv6 router
> auto-configuration on
> http://conferences.sigcomm.org/sigcomm/2007/ipv6/) and to manage
> multi-homing.

in my opinion solving the problem of router autoconfiguration, at least for restricted topologies should be within scope of homegate.

the scope of homegate appears a little fuzzy at the moment, hopefully we will get time to discuss that in Paris.

in my mind the below issues punted from the basic cpe router requirements document should all be within scope. if they aren't then I'm honestly not quite sure what homegate is supposed to work on?

cheers,
Ole

> On Fri, Mar 26, 2010 at 19:25, Mark Townsley <[email-masked]> wrote:
>> 
>> Ole just presented an update on
>> "draft-wbeebee-v6ops-ipv6-cpe-router-bis-02", the slides are here:
>> 
>> http://www.ietf.org/proceedings/10mar/slides/v6ops-2.pdf
>> 
>> It includes a list of "hard stuff we punted on" from
>> "draft-ietf-v6ops-ipv6-cpe-router-04"
>> 
>> including:
>> 
>> 1.  QoS 2.  Service Discovery
>> 3.  DNS
>> 4.  Multicast
>> 5.  Arbitrary complex topologies
>>     1.  Prefix sub-delegation
>>     2.  Routing in the LAN
>>     3.  ...
>> 6.  IPv6 transition mechanisms
>> 7.  IPv6 only (NAT64)
>> 8.  Firewall pinholing
>> 9.  Multi-homing (also to non-congruent topologies)
>> 
>> 
>> Homegate was brought up, but it was unclear whether homegate considered such
>> work in our out of scope of its efforts.
>> 
>> At one level, this doesn't matter aside of where the document sits and
>> whether homegate, should it exist, operates on this directly or via a
>> pointer to the v6ops WG, and this is as much an "AD management issue" as
>> anything else. However, if we see ourselves taking on any of these for IPv4,
>> I worry that we will end up solving problems in silos if they are not in the
>> same document and/or same group.
>> 
>> Thoughts?
>> 
>> - Mark
>> 
>> 
>> _______________________________________________
>> homegate mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/homegate
>> 
>> 
> 
> 
> 
> -- 
> Laurent Toutain
> Tel: +33 2 22 06 82 37
> _______________________________________________
> homegate mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/homegate